/**
 * Description: CmCreditGoods保存请求
 * Copyright:   Copyright (c)2015
 * Company:     江苏三六五网络股份有限公司
 * @author:     江苏三六五网络股份有限公司
 * @version:    1.0
 * Create at:   2015-08-10 下午 17:06:09
 *  
 * Modification History:
 * Date         Author      Version     Description
 * ------------------------------------------------------------------
 * 2015-08-10   江苏三六五网络股份有限公司   1.0         Initial
 */
package com.house365.ws.beans.request;

import java.util.List;

import com.house365.beans.entity.CmAddGoodsEntity;
import com.house365.beans.entity.CmCreditGoodsEntity;
import com.house365.beans.entity.CmExchangeCodeEntity;
import com.house365.beans.vo.CreditGoodsParamsVo;
import com.house365.ws.system.House365Request;

/**
 * CmCreditGoods保存请求<br>
 * 
 * @author 江苏三六五网络股份有限公司
 * @version 1.0, 2015-08-10
 * @see
 * @since 1.0
 */
public class CmCreditGoodsRequest extends House365Request {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    /**
     * CmCreditGoods实体对象
     */
    private CmCreditGoodsEntity entity;
    
    private CmExchangeCodeEntity exchangeCodeEntity;
    
    private CmAddGoodsEntity addGoodsEntity;
    
    private List<CmExchangeCodeEntity> exchangeCodeEntityList;
    
    private CreditGoodsParamsVo paramsVo;

    /**
     * @return the entity
     */
    public CmCreditGoodsEntity getEntity() {
        return entity;
    }

    /**
     * @param entity
     *            the entity to set
     */
    public void setEntity(CmCreditGoodsEntity entity) {
        this.entity = entity;
    }
    
	public CmExchangeCodeEntity getExchangeCodeEntity() {
		return exchangeCodeEntity;
	}

	public void setExchangeCodeEntity(CmExchangeCodeEntity exchangeCodeEntity) {
		this.exchangeCodeEntity = exchangeCodeEntity;
	}

	public CmAddGoodsEntity getAddGoodsEntity() {
		return addGoodsEntity;
	}

	public void setAddGoodsEntity(CmAddGoodsEntity addGoodsEntity) {
		this.addGoodsEntity = addGoodsEntity;
	}

	public List<CmExchangeCodeEntity> getExchangeCodeEntityList() {
		return exchangeCodeEntityList;
	}

	public void setExchangeCodeEntityList(
			List<CmExchangeCodeEntity> exchangeCodeEntityList) {
		this.exchangeCodeEntityList = exchangeCodeEntityList;
	}

	public CreditGoodsParamsVo getParamsVo() {
		return paramsVo;
	}

	public void setParamsVo(CreditGoodsParamsVo paramsVo) {
		this.paramsVo = paramsVo;
	}
	
	
    
}